{% extends 'base.html' %}
{% from "macros.html" import render_field %}

{% block title %}Update Tenant{% endblock %}

{% block content_title %}Update Tenant{% endblock %}
{% block content_description %}Update given tenant{% endblock %}

{% block content %}
    <form method="post">
        {{ form.hidden_tag() }}
        {%  set disabled_fields = ['name', 'code', 'llm_model'] %}
        {%  set exclude_fields = [] %}
        {% for field in form %}
            {{ render_field(field, disabled_fields, exclude_fields) }}
        {% endfor %}
        <button type="submit" class="btn btn-primary">Update Tenant</button>
    </form>
{% endblock %}

{% block content_footer %} {% endblock %}

{% block scripts %}
<script>
    // JavaScript om de gebruiker's timezone te detecteren
    document.addEventListener('DOMContentLoaded', (event) => {
        // Detect timezone
        const userTimezone = Intl.DateTimeFormat().resolvedOptions().timeZone;

        // Send timezone to the server via a POST request
        fetch('set_user_timezone', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({ timezone: userTimezone })
        }).then(response => {
            if (response.ok) {
                console.log('Timezone sent to server successfully');
            } else {
                console.error('Failed to send timezone to server');
            }
        });

        // Initialiseer Select2 voor timezone selectie
        $('#timezone').select2({
            placeholder: 'Selecteer een timezone...',
            allowClear: true,
            maximumSelectionLength: 10,
            theme: 'bootstrap',
            width: '100%'
        });
    });
</script>
{% endblock %}
